2004年11月21日

[debian-users:42012] Re: apache2+php4でlibphp4.soが読み込めない


やまね です。

"Thu, 18 Nov 2004 00:13:55 +0900", "Shigeru_Kato"
"[debian-users:41988] Re: apache2+php4でlibphp4.soが読み込めない"
>ろ、それだけでPHPが動作しました。ありがとうございました。httpd.confにも、
>"LoadModule php4_module /usr/lib/apache2/modules/libphp4.so"と記入しなくて
>も、PHPがつかえました。むしろ、書き込めば、既に読み込んでいるのでスキップす
>ると注意を受けます。

 apache 1.3.x のころとは違い、apache2 パッケージだとモジュールの
 類は httpd.conf で設定されているのではなく、httpd.conf で include
 されている別の設定ファイルで指定されているからだと思います。


> debianは、aptが非常に便利です。しかし、たとえばapacheにしても、コンパイル
>オプションがどうなってインストールされているのか、設定ファイル同士の関係はど
>うなっているのかが、わからないです。今回もPHPを動かすにはどのようなファイル
>やモジュールが必要で、そのために、どのようなパッケージをインストールするのか
>の情報jが探せませんでした。

 まずはパッケージ付属の文章を確認されてはいかが?
 /usr/share/doc/<package> 以下の README.Debian や changelog.Debian
 ファイルを眺めるだけでも色々なことがわかりますよ。


--
Regards,

Hideki Yamane <henrich @ samba.gr.jp/iijmio-mail.jp>
Key fingerprint = 4555 82ED 38B6 C870 E099 388C 22ED 21CB C4C7 264B


投稿者 xml-rpc : 2004年11月21日 05:09
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/28069
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。